# module RSS::Maker::AtomLogo

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/atom.rb, line 148
    def to_feed(feed, current)
      logo = current.class::Logo.new
      class << logo
        alias_method(:uri=, :content=)
      end
      set = setup_values(logo)
      class << logo
        remove_method(:uri=)
      end
      if set
        current.logo = logo
        set_parent(logo, current)
        setup_other_elements(feed)
      elsif variable_is_set?
        raise NotSetError.new(self.class.not_set_name,
                              not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/atom.rb, line 168
    def required_variable_names
      %w(uri)
    end